cwlVersion: v1.0
class: CommandLineTool
label: Extract Enriched GTEx Tissue Signatures
doc: Extract Significant Terms from the GTEx Tissues V8 2023 Library
baseCommand:
  - /app/cli/pwb.sh
  - ExtractEnrichrGenesetSearch[GTEx_Tissues_V8_2023]
requirements:
  - class: DockerRequirement
    dockerImageId: maayanlab/playbook-partnership:0.73.1
inputs:
  inputs.searchResults:
    label: Enrichr Enrichment Analysis
    doc: A gene set submitted to [Enrichr](https://maayanlab.cloud/Enrichr/)
    type: File
    inputBinding:
      prefix: --inputs.searchResults=
      separate: false
  outputFilename:
    type: string
    default: output.json
    inputBinding:
      prefix: --output=
      separate: false
outputs:
  output:
    label: Enrichr Scored Tissues
    doc: ZScores of Tissues
    type: File
    outputBinding:
      glob: $(inputs.outputFilename)
